Subject: bug#43464: 28.0.50; vc: Error calling vc-revert for repo root

From: Dmitry Gutov <[email-masked]>
Date: Mon, 5 Oct 2020 13:19:19 +0300

On 05.10.2020 09:02, Andrii Kolomoiets wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>> Where is that vc-backend called from, in our scenario?
> 
> It's called from 'vc-call'.  The 'vc-revert-file' used it twice
> to call the 'make-version-backups-p' and the 'revert' backend functions.

Then a change in vc-revert-file could be sufficient.

>> Could we make do with changing that code to use vc-responsible-backend
>> instead of vc-backend instead? If it's not a function called
>> frequently.
> 
> I went a little different way and made the 'vc-backend' return correct
> backend for directories.  In case you missed it somehow here is the link
> to the message:
> 
> https://lists.gnu.org/archive/html/bug-gnu-emacs/2020-09/msg02508.html

Like I explained, it will create a cache entry that is never invalidated.